import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyGetShareType = createAsyncThunk(
  "PROVINCE_POLICY_GET_SHARE_TYPE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("share-type/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
